Meltdown and Spectre security vulnerabilities

Article last updated:

zSpace, Inc. is actively watching the latest developments regarding the recently disclosed security vulnerabilities named Meltdown and Spectre which affect most Intel and AMD CPUs released in the last 20 years. As additional information becomes available, we will make updates here.

Both of these vulnerabilities affect the zSpace Generation 1 STEM station, zSpace Generation 2 STEM station, and all models of the zSpace AIO. As confirmed fixes becomes available, we will pass these updates onto our customers. 

How can you help protect your computer against hardware or software security vulnerabilities:

  • Run your Window Updates. It is advised to keep Windows up to date by always running your Windows updates. 
  • Check for firmware and driver updates.
  • Update your browser.
  • Keep your antivirus up to date and active.

Additional reading:

 

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

Comments